Subject: Re: data received but not detected

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 20 Jun 2008 22:23:34 +0400

On Fri, Jun 20, 2008 at 01:17:06PM -0500, Travis Stratman ([email-masked]) wrote:
> Let me clarify this again... I see the packet being sent at the expected
> time from the sender on the tcpdump. The packet does not show up in
> tcpdump or in the application on the receive side. When some other data
> is received by the receiver (i.e. ARP), the missing packet shows up in
> the tcpdump and in the application at the same time. So the delay shows
> up in the tcpdump as well. It seems to me that everything is pointing to
> the packet being in the DMA buffer but the controller driver not knowing
> anything about it.

Argh. Ok, then please check that napi polling is called and rx interrupt
happen for the driver.

-- 
	Evgeniy Polyakov